RK-A2 - Feature #3628

Once user chooses grade and subject, ask a question and if answer is wrong, ask assistant for
answer and provide to the user

06/25/2024 04:30 AM - Ram Kordale

Status: Rejected Start date: 06/25/2024
Priority: High Due date:

Assignee: Ayanava Karmakar % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Today, we allow user to type in something and we provide the OpenAl assistant's response. But, when user chooses a grade and
subject, we should first ask the question Q.

If user's answer matches A, then say "Answer is correct". Otherwise, ask assistant for the answer and provide that to the user.
For this ticket, use Q as "What is the capital of France?" and A as "Paris".

As always, test in testMode as true as much as possible.

History

#1 - 06/25/2024 04:32 AM - Dewakar Chaubey

- Status changed from New to In Progress

#2 - 06/25/2024 06:18 AM - Dewakar Chaubey
- Status changed from In Progress to Resolved

- % Done changed from 0 to 90

#3 - 06/25/2024 06:18 AM - Dewakar Chaubey

- Status changed from Resolved to Review

#4 - 06/25/2024 06:18 AM - Dewakar Chaubey

- Assignee changed from Dewakar Chaubey to Shubham Boke

#5 - 06/26/2024 06:42 AM - Dewakar Chaubey
- % Done changed from 90 to 100

#6 - 07/02/2024 11:17 AM - Ayanava Karmakar

- Assignee changed from Shubham Boke to Ayanava Karmakar

#7 - 07/03/2024 05:58 AM - Ayanava Karmakar

- Status changed from Review to Rejected
